org.apache.ignite.internal.commandline.cache

## Class CacheArguments

- java.lang.Object
- - org.apache.ignite.internal.commandline.cache.CacheArguments

    public class CacheArguments
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CacheArguments()`

### Method Summary

All Methods Instance Methods Concrete Methods
`VisorViewCacheCmd` `cacheCommand()`
`void` `cacheCommand(VisorViewCacheCmd cmd)`
`Set<String>` `caches()`
`void` `caches(Set<String> caches)`
`int` `checkFirst()`
`void` `checkFirst(int checkFirst)`
`int` `checkThrough()`
`void` `checkThrough(int checkThrough)`
`CacheCommand` `command()`
`void` `command(CacheCommand cmd)`
`boolean` `dump()`
`void` `dump(boolean dump)`
`Set<String>` `getUserAttributes()`
`boolean` `isSkipZeros()`
`int` `maxPrint()`
`void` `maxPrint(int maxPrint)`
`int` `minQueueSize()`
`void` `minQueueSize(int minQueueSize)`
`UUID` `nodeId()`
`void` `nodeId(UUID nodeId)`
`int` `partitionId()`
`void` `partitionId(int partId)`
`String` `regex()`
`void` `regex(String regex)`
`void` `setUserAttributes(Set<String> userAttrs)`
`void` `skipZeros(boolean skipZeros)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheArguments

    public CacheArguments()

### Method Detail

#### command

    public CacheCommand command()

Returns:
  Command.

#### cacheCommand

    @Nullable
    public VisorViewCacheCmd cacheCommand()

Returns:
  Cache view command.

#### cacheCommand

    public void cacheCommand(VisorViewCacheCmd cmd)

Parameters:
  `cmd` - Cache view command.

#### command

    public void command(CacheCommand cmd)

Parameters:
  `cmd` - New command.

#### caches

    public Set<String> caches()

Returns:
  Caches.

#### caches

    public void caches(Set<String> caches)

Parameters:
  `caches` - New caches.

#### partitionId

    public int partitionId()

Returns:
  Partition id.

#### partitionId

    public void partitionId(int partId)

Parameters:
  `partId` - New partition id.

#### regex

    public String regex()

Returns:
  Regex.

#### regex

    public void regex(String regex)

Parameters:
  `regex` - New regex.

#### nodeId

    public UUID nodeId()

Returns:
  Node id.

#### nodeId

    public void nodeId(UUID nodeId)

Parameters:
  `nodeId` - New node id.

#### minQueueSize

    public int minQueueSize()

Returns:
  Min queue size.

#### minQueueSize

    public void minQueueSize(int minQueueSize)

Parameters:
  `minQueueSize` - New min queue size.

#### maxPrint

    public int maxPrint()

Returns:
  Max print.

#### maxPrint

    public void maxPrint(int maxPrint)

Parameters:
  `maxPrint` - New max print.

#### checkFirst

    public int checkFirst()

Returns:
  Max number of entries to be checked.

#### checkFirst

    public void checkFirst(int checkFirst)

Parameters:
  `checkFirst` - Max number of entries to be checked.

#### checkThrough

    public int checkThrough()

Returns:
  Number of entries to check through.

#### checkThrough

    public void checkThrough(int checkThrough)

Parameters:
  `checkThrough` - Number of entries to check through.

#### dump

    public boolean dump()

Returns:
  Calculate partition hash and print into standard output.

#### dump

    public void dump(boolean dump)

Parameters:
  `dump` - Calculate partition hash and print into standard output.

#### isSkipZeros

    public boolean isSkipZeros()

Returns:
  Skip zeros partitions(size == 0) in result.

#### skipZeros

    public void skipZeros(boolean skipZeros)

Parameters:
  `skipZeros` - Skip zeros partitions.

#### getUserAttributes

    public Set<String> getUserAttributes()

Returns:
  Additional user attributes in result. Set of attribute names whose values will be searched in ClusterNode.attributes().

#### setUserAttributes

    public void setUserAttributes(Set<String> userAttrs)

Parameters:
  `userAttrs` - New additional user attributes in result.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018